Update monitoring-metrics config
curl --request PATCH \
--url https://api.coval.dev/v1/organization/monitoring-metrics \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"default_monitoring_metrics": [
"8EktrIgaVxn9LfxkIynagX"
],
"conditional_monitoring_metrics": [
{
"id": "rule-voice",
"type": "RUN_METADATA",
"metadata_key": "channel",
"metadata_type": "STRING",
"match_type": "EQUALS",
"metadata_value": "voice",
"metric": "8EktrIgaVxn9LfxkIynagX",
"metrics": [
"8EktrIgaVxn9LfxkIynagX"
]
}
]
}
'import requests
url = "https://api.coval.dev/v1/organization/monitoring-metrics"
payload = {
"default_monitoring_metrics": ["8EktrIgaVxn9LfxkIynagX"],
"conditional_monitoring_metrics": [
{
"id": "rule-voice",
"type": "RUN_METADATA",
"metadata_key": "channel",
"metadata_type": "STRING",
"match_type": "EQUALS",
"metadata_value": "voice",
"metric": "8EktrIgaVxn9LfxkIynagX",
"metrics": ["8EktrIgaVxn9LfxkIynagX"]
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
default_monitoring_metrics: ['8EktrIgaVxn9LfxkIynagX'],
conditional_monitoring_metrics: [
{
id: 'rule-voice',
type: 'RUN_METADATA',
metadata_key: 'channel',
metadata_type: 'STRING',
match_type: 'EQUALS',
metadata_value: 'voice',
metric: '8EktrIgaVxn9LfxkIynagX',
metrics: ['8EktrIgaVxn9LfxkIynagX']
}
]
})
};
fetch('https://api.coval.dev/v1/organization/monitoring-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_monitoring_metrics": [
"8EktrIgaVxn9LfxkIynagX"
],
"conditional_monitoring_metrics": [
{
"id": "rule-voice",
"type": "RUN_METADATA",
"metadata_key": "channel",
"metadata_type": "STRING",
"match_type": "EQUALS",
"metadata_value": "voice",
"metric": "8EktrIgaVxn9LfxkIynagX",
"metrics": [
"8EktrIgaVxn9LfxkIynagX"
]
}
]
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request body",
"details": [
{
"field": "conditional_monitoring_metrics",
"description": "Provide exactly one of 'metric' or 'metrics'."
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "x-api-key",
"description": "API key is required in the x-api-key header"
}
]
}
}{
"error": {
"code": "PERMISSION_DENIED",
"message": "Insufficient permissions",
"details": [
{
"field": "permissions",
"description": "The API key does not include the required organization permission."
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Organization not found",
"details": [
{
"description": "Organization not found."
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred while processing the organization request"
}
]
}
}Organization
Update monitoring-metrics config
Partially update the organization’s monitoring-metrics configuration. Provide at least one of default_monitoring_metrics or conditional_monitoring_metrics; each field provided fully replaces the stored value (a field omitted is left unchanged). Returns the full resulting configuration.
PATCH
/
organization
/
monitoring-metrics
Update monitoring-metrics config
Authorizations
API key for authentication
Body
application/json
Partial update. Provide at least one of default_monitoring_metrics or conditional_monitoring_metrics; each field provided fully replaces the stored value.
Response
Configuration updated
Was this page helpful?
⌘I